Bug 834012 - SAM is hiding the releaseVer variable from json causing subscription-manager-gui to disable the Release dropdown.
SAM is hiding the releaseVer variable from json causing subscription-manager-...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.1.0
Unspecified Unspecified
high Severity high
: rc
: 1.1.z
Assigned To: Tom McKay
Garik Khachikyan
:
Depends On: 809496
Blocks: sam12-tracker 834013
  Show dependency treegraph
 
Reported: 2012-06-20 11:10 EDT by Eric Sammons
Modified: 2015-01-04 16:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 834013 (view as bug list)
Environment:
Last Closed: 2013-06-07 13:22:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-06-20 11:10:54 EDT
Description of problem:
Consumer registered to SAM-1.1 will fail to support the release feature from the subscription-manager-gui due to SAM hiding releasever from the json.

Version-Release number of selected component (if applicable):
SAM-1.1

Steps to Reproduce:
1. Register a consumer with >= subscription-manager-0.99.19-1
2. Subscribe consumer to RHEL product.
3. In the Subscription Manager gui navigate to system preferences

  
Actual results:
Release option / drop down is disabled.

Expected results:
Release should be enabled with ability to select from a list of available releases.


Additional info:

/var/log/rhsm/rhsm.log
[WARNING]  @preferences.py:101 - Disabling relea        se version  dropdown, server does not support release versions.

Command line the 'release' options work and we are able to --set, --list and retrieve current release value.
Comment 1 James Bowes 2012-07-10 09:22:44 EDT
I've looked into this a bit.

The cli and the gui each check for releaseVer support in different ways. I'm going to open a bug for subman to fix this, and make them both check in the same way (fwiw the way the gui operates will be the way that they will both check).

katello will need to make sure the releaseVer value is always on a consumer.
Comment 2 James Bowes 2012-07-10 09:30:28 EDT
New bug is https://bugzilla.redhat.com/show_bug.cgi?id=838942 fwiw
Comment 3 Tom McKay 2012-09-19 11:24:10 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: e5e6bbd0502727f01743aac43b7e0df0441971df
      https://github.com/Katello/katello/commit/e5e6bbd0502727f01743aac43b7e0df0441971df
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-08-30 (Thu, 30 Aug 2012)
Comment 4 Og Maciel 2012-10-10 16:56:19 EDT
@Tom: how do I verify this? I don't see a "system preferences" anywhere in the web ui...
Comment 5 Garik Khachikyan 2012-10-11 04:10:16 EDT
taking QE contact.

I had the same issue on CFSE... also a machine with Gnome :)
Comment 6 Garik Khachikyan 2012-10-12 09:49:35 EDT
# VERIFIED

checked on latest provided SAM 1.2 it looks pretty good (and as expected).

scenario is:
1. import manifest
2. register a system (don't turn on autosubscribe there)
3. via SAM ui go to the system's info and edit the release to: 6.3
4. install subscription-manager-gnome (if it's not there)
5. run subscription-manager-gui
6. refer to the "Preferences" and see that checkbox for "Release version" is enabled and has the value of: 6.3

that's it!

packages the check was made:
---
katello-headpin-1.1.15-2h.el6_3.noarch
subscription-manager-0.99.19.4-1.el6_3.x86_64
subscription-manager-gnome-0.99.19.4-1.el6_3.x86_64
candlepin-0.7.13-1.el6_3.noarch
Comment 11 Bryan Kearney 2013-06-07 13:22:55 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.
Comment 12 Bryan Kearney 2013-06-07 13:25:11 EDT
Closing out verified bugs from 1.2. Somehow the errata tool missed them.

Note You need to log in before you can comment on or make changes to this bug.